<?php require_once "inc/functions.php"; ?>
<!DOCTYPE html>
<html lang="fa">

<head>
    <meta charset="UTF-8">
    <title>Rapidcode.iR - سورس کد</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
    <link rel="stylesheet" href="static/css/main.css">
</head>

<body>


    <div class="container">
        <a id="introduce" href="https://rapidcode.ir" target="_blank">رپید کد • کتابخانه مجازی برنامه نویسان</a>

        <table class="table table-primary table-coin">
            <thead>
                <tr>
                    <th>لوگو</th>
                    <th>نام ارز دیجیتال</th>
                    <th>قیمت به تومان</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach (getListCoins() as $item) : ?>
                    <tr class="ajx-element" id="id-<?= $item['slug'] ?>" data-slug="<?= $item['slug'] ?>">
                        <td class="td-logo"><img width="64" src="<?= $item['logo'] ?>"></td>
                        <td class="td-title"><?= $item['title'] ?></td>
                        <td class="td-price"><span class="price"><?= $item['price_to_irt'] ?></span><span class="currency me-1">تومان</span></td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>


    </div>




    <script src="static/js/app.js"></script>
</body>

</html>