document.addEventListener('DOMContentLoaded', function () {


    function initXHR(config) {
        const xhr = new XMLHttpRequest();
        xhr.responseType = "json";

        xhr.open(config['method'], location.origin + "/" + "inc/api.php" + config['query']);

        xhr.onload = config['onload'];
        xhr.onerror = config['onerror'];

        xhr.send();
    }



    setInterval(() => {
        initXHR({
            method: "GET",
            query: "",
            onload: function () {
                const response = this.response;

                const rowElementsDOM = document.getElementsByClassName("ajx-element");

                for (const rowElementDOM of rowElementsDOM) {
                    const key = rowElementDOM.getAttribute("data-slug");
                    const priceDOM = rowElementDOM.querySelector(".td-price");

                    const oldPrice = priceDOM.querySelector(".price").textContent;
                    const newPrice = response[key]['price_to_irt'];

                    

                    if(oldPrice != newPrice){
                        rowElementDOM.classList.add("table-warning");
                        priceDOM.querySelector(".price").textContent = newPrice;
                        setTimeout(function(){
                            rowElementDOM.classList.remove("table-warning");
                            
                        } , 2000);
                    }
                        
                  
                    
                }

              
            },
            onerror: function () {
                console.warn("XHR ERROR");
                alert("خطا");

            },
        });
    }, 4000);

});